org.fourthline.cling.transport.spi

## Interface StreamClientConfiguration

- All Known Implementing Classes:
    AbstractStreamClientConfiguration, StreamClientConfigurationImpl, StreamClientConfigurationImpl

      public interface StreamClientConfiguration

  Collection of typically needed configuration settings.
  Author:
    Christian Bauer

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getLogWarningSeconds()`
    `ExecutorService` | `getRequestExecutorService()` Used to execute the actual HTTP request, the StreamClient waits on the "current" thread for completion or timeout.
    `int` | `getTimeoutSeconds()`
    `String` | `getUserAgentValue(int majorVersion, int minorVersion)` Used for outgoing HTTP requests if no other value was already set on messages.

- - ### Method Detail

    - #### getRequestExecutorService

          ExecutorService getRequestExecutorService()

      Used to execute the actual HTTP request, the StreamClient waits on the "current" thread for completion or timeout. You probably want to use the same executor service for both, so usually this is `UpnpServiceConfiguration.getSyncProtocolExecutorService()`.
      Returns:
        The `ExecutorService` to use for actual sending of HTTP requests.

    - #### getTimeoutSeconds

          int getTimeoutSeconds()

      Returns:
        The number of seconds to wait for a request to expire, spanning connect and data-reads.

    - #### getLogWarningSeconds

          int getLogWarningSeconds()

      Returns:
        If the request completion takes longer than this, a warning will be logged (`0` to disable)

    - #### getUserAgentValue

          String getUserAgentValue(int majorVersion,
                                   int minorVersion)

      Used for outgoing HTTP requests if no other value was already set on messages.
      Parameters:
        `majorVersion` - The UPnP UDA major version.
        `minorVersion` - The UPnP UDA minor version.
      Returns:
        The HTTP user agent value.

Copyright © 2016 4th Line GmbH, Switzerland. All rights reserved.